# Get Transporter Details

### Request Method

GET

### Request Path

```
{{API_URL}}/api/v1/getEwayBillData/
```

### Request Headers

| Parameter              | Value               | Description                                                   |
| ---------------------- | ------------------- | ------------------------------------------------------------- |
| Authorization/api\_key | api\_key/auth token | Value and header type is mentioned in the Authentication Page |

### Request Params

| Parameter          | Value                 | Description      |
| ------------------ | --------------------- | ---------------- |
| action             | GetTransporterDetails | Action           |
| userGstin          | XXXXXXXXXXXXXXX       | Gstin            |
| transporter\_gstin | XXXXXXXXXXXXXXX       | Tansporter gstin |

### Response Body

#### 200 (OK)

#### Sample Response

```json
{
  "results": {
    "message": {
      "gstin_of_taxpayer": "XXXXXXXXXXXXXXX",
      "trade_name": "Jay Transport pvt",
      "legal_name_of_business": "Jay Transport pvt",
      "address1": "UCREPeelikothi , Near the nainital bank ltd,Kaladhungi Road",
      "address2": "263139Peelikothi",
      "state_name": "UTTARAKHAND",
      "pincode": "263139"
    },
    "status": "Success",
    "code": 200
  }
}
```

#### 204 (Invalid Parameters)

```json
{
  "results": {
    "message": "325: Could not retrieve data",
    "status": "No Content",
    "code": 204,
    "nic_code": "325"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mastersindia.co/eway/get-transporter-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
